<!doctype html public "-//w3c//dtd html 4.01 transitional//de">
<html lang="de">

<head>
    <title>Houselist Download</title>
    <meta name="robots" content="nofollow">
    <style type="text/css">
    #houselistDownloadText {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    #houselistDownloadText a {
        margin: 10px;
        padding: 10px;
        background: #729FCF;
        border: none;
        width: 17%;
        height: auto;
        color: black;
        text-decoration: none;
        display: inline-block;
        text-align: center;
        line-height: 30px;
        font-size: 20px;
        min-width: 220px;
    }

    #houselistDownloadText h2 select {
        width: 100px;
        height: 30px;
    }
    </style>
</head>

<body>
    <?php
    include("./db72.php");
    $HID1 = $_GET['HID'];
    $TimeIntervalCon = $_GET['TimeInterval'];
    $filehid = 'textdata' . DIRECTORY_SEPARATOR . 'house' . $HID1 . '.txt';
    $openfilehid = fopen($filehid, "r")  or die("Unable to open file: " . $filehid . "<br />Please check directory/ file permissions");
    if (!$openfilehid) {
        throw new Exception("This Patient number in houselist not found: " . basename($file) . "<br />Please check directory/ file permissions");
    }
    $readfilehid= fread($openfilehid,filesize("$filehid"));
    fclose($openfilehid);
    $filehidarr = explode(PHP_EOL, trim($readfilehid));
    $patNrStr = '';
    if(!empty($filehidarr) && count($filehidarr))
    {
        foreach ($filehidarr as $key => $valueHID) {
            if(!empty($valueHID))
            {
                $patNr1 = explode(' ', trim($valueHID));
                $patNrStr .= $patNr1[0] . ', ';
            }
        }
        $patNrStr = trim($patNrStr, ', ');
    }

    if(!empty($patNrStr))
    {
        $timeIntervalSqlCon = "";
        if($TimeIntervalCon != 0)
        {
            $timeIntervalSqlCon = " and datUser >= DATE_SUB(now(), INTERVAL $TimeIntervalCon MONTH)";
        }
        $SQL="select count(*) as total_record from doarch where patNr in (" . $patNrStr . ") $timeIntervalSqlCon and docFileName is not null;";
        $res_scans=mysqli_query($connect, $SQL);
        $row_scans = mysqli_fetch_assoc($res_scans);
        $total_record = $row_scans['total_record'];
    }
    $timesecArr = [1,2,5,10];
    ?>
    <div id="houselistDownloadText">
        <h2><?php echo $total_record;?> xzxdocuments found for download.
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;xzxMonths back:
            <select name="TimeInterval" id="TimeInterval" onchange="SelectTimeInterval();">
                <option value="3" <?php echo ($TimeIntervalCon == 3 ? "selected" : "")?>>3 months</option>
                <option value="6" <?php echo ($TimeIntervalCon == 6 ? "selected" : "")?>>6 months</option>
                <option value="12" <?php echo ($TimeIntervalCon == 12 ? "selected" : "")?>>12 months</option>
                <option value="24" <?php echo ($TimeIntervalCon == 24 ? "selected" : "")?>>2 years</option>
                <option value="0" <?php echo ($TimeIntervalCon == 0 ? "selected" : "")?>>All</option>
            </select>
        </h2>

        <?php
        if($total_record != 0)
        {
            foreach ($timesecArr as $key => $value) {
                echo "<a href=\"/archiv/houselist_download.php?delaytime=$value&HID=$HID1&TimeInterval=$TimeIntervalCon\">xzxDownload with <br />delay each $value xzxSec.:<br />" . ($total_record * $value) . " xzxSec.</a>";
            }
        }
    ?>
    </div>

    <script type="text/javascript">
    function FetchGETVars() {
        var param = {};
        var urlsearch = document.location.search;
        if (urlsearch != "") {
            var getvars = urlsearch.split("?");
            if (getvars.length == 2) {
                var params = getvars[1].split("&");
                var p = {};
                Object.keys(params).forEach(function(key) {
                    p = params[key].split("=");
                    if (p.length == 2) {
                        param[p[0]] = p[1];
                    }
                });
            }
        }
        return param;
    }

    function Redirect(url, gobj = {}, preserve = true) {
        var gvars = "";
        Object.keys(gobj).forEach(function(key) {
            if (gvars.length > 0) {
                gvars = gvars + "&";
            }
            gvars = gvars + key + "=" + gobj[key];
        });
        var getparams = "";
        if (preserve == true) {
            var param = FetchGETVars();
            Object.keys(param).forEach(function(key) {
                //console.log(key + "=>" + param[key]);
                if (!gobj[key]) { // if GET variable same as the new one being set, ignore INSHAALLAH
                    getparams = getparams + key + "=" + param[key] + "&";
                }
            });
        }
        window.location = url + "?" + getparams + gvars;
    }

    function SelectTimeInterval() {
        var TimeInterval = document.getElementById("TimeInterval");
        if (TimeInterval.selectedIndex >= 0) {
            var gobj = {
                TimeInterval: TimeInterval.options[TimeInterval.selectedIndex].value,
                HID: <?php echo $HID1;?>
            };
            Redirect("houselist_downl_button.php", gobj, true); // false, do not preserve current GET variables
        }
    }
    </script>
</body>

</html>
